Subject: Re: contrib/ status

From: Eric Wong <[email-masked]>
Date: Tue, 4 Jul 2006 14:56:43 -0700

Junio C Hamano <[email-masked]> wrote:
> Eric Wong <[email-masked]> writes:
> 
> > Junio C Hamano <[email-masked]> wrote:
> >> Junio C Hamano <[email-masked]> writes:
> >> 
> >> > ... the
> >> > things under contrib/ are not part of git.git but are there only
> >> > for convenience....
> >> 
> >> This reminds me of something quite different.  I am getting an
> >> impression that enough people have been helped by git-svn and it
> >> might be a good idea to have it outside contrib/ area.
> >
> > That would be great.  IMHO, it puts git in a position to supplant
> > centralized SVN usage one developer at a time, making it easier
> > to make a gradual transition to git.  Of course, there's also svk
> > in a similar position...
> 
> OK, then let's give a few days (it's a long weekend extendeding
> into July 4th in the US) to let others from the list chime in,
> and then please help me migrate your test scripts and Makefile
> pieces into the toplevel project.

Ok, I'll have a patch ready by then.  I'm not sure which number family I
should take for the tests, 8xxx and 9xxx don't have any rules for their
use, but the [89]0xx area seems taken.  Would naming them 91xx be good?

Also, the tests can be extremely slow since they rely on svn, so there
will be a way to skip the tests if users are not interested.

-- 
Eric Wong